testing::internal::posix Namespace Reference

## Typedefs

typedef struct stat | StatStruct

## Functions

int | FileNo (FILE *file)
int | IsATTY (int fd)
int | Stat (const char *path, StatStruct *buf)
int | StrCaseCmp (const char *s1, const char *s2)
char * | StrDup (const char *src)
int | RmDir (const char *dir)
bool | IsDir (const StatStruct &st)
const char * | StrNCpy (char *dest, const char *src, size_t n)
int | ChDir (const char *dir)
FILE * | FOpen (const char *path, const char *mode)
FILE * | FReopen (const char *path, const char *mode, FILE *stream)
FILE * | FDOpen (int fd, const char *mode)
int | FClose (FILE *fp)
int | Read (int fd, void *buf, unsigned int count)
int | Write (int fd, const void *buf, unsigned int count)
int | Close (int fd)
const char * | StrError (int errnum)
const char * | GetEnv (const char *name)
void | Abort ()

## Typedef Documentation

## StatStruct

typedef struct stat testing::internal::posix::StatStruct

Definition at line 2320 of file gtest.h.

## Function Documentation

## Abort()

void testing::internal::posix::Abort | ( |  | ) |

inline

Definition at line 2392 of file gtest.h.

## ChDir()

int testing::internal::posix::ChDir | ( | const char * | dir | ) |

inline

Definition at line 2347 of file gtest.h.

## Close()

int testing::internal::posix::Close | ( | int | fd | ) |

inline

Definition at line 2366 of file gtest.h.

## FClose()

int testing::internal::posix::FClose | ( | FILE * | fp | ) |

inline

Definition at line 2358 of file gtest.h.

## FDOpen()

FILE* testing::internal::posix::FDOpen | ( | int | fd,
|  | const char * | mode
| ) |  |

inline

Definition at line 2356 of file gtest.h.

## FileNo()

int testing::internal::posix::FileNo | ( | FILE * | file | ) |

inline

Definition at line 2322 of file gtest.h.

## FOpen()

FILE* testing::internal::posix::FOpen | ( | const char * | path,
|  | const char * | mode
| ) |  |

inline

Definition at line 2349 of file gtest.h.

## FReopen()

FILE* testing::internal::posix::FReopen | ( | const char * | path,
|  | const char * | mode,
|  | FILE * | stream
| ) |  |

inline

Definition at line 2353 of file gtest.h.

## GetEnv()

const char* testing::internal::posix::GetEnv | ( | const char * | name | ) |

inline

Definition at line 2369 of file gtest.h.

## IsATTY()

int testing::internal::posix::IsATTY | ( | int | fd | ) |

inline

Definition at line 2323 of file gtest.h.

## IsDir()

bool testing::internal::posix::IsDir | ( | const StatStruct & | st | ) |

inline

Definition at line 2330 of file gtest.h.

## Read()

int testing::internal::posix::Read | ( | int | fd,
|  | void * | buf,
|  | unsigned int | count
| ) |  |

inline

Definition at line 2360 of file gtest.h.

## RmDir()

int testing::internal::posix::RmDir | ( | const char * | dir | ) |

inline

Definition at line 2329 of file gtest.h.

## Stat()

int testing::internal::posix::Stat | ( | const char * | path,
|  | StatStruct * | buf
| ) |  |

inline

Definition at line 2324 of file gtest.h.

## StrCaseCmp()

int testing::internal::posix::StrCaseCmp | ( | const char * | s1,
|  | const char * | s2
| ) |  |

inline

Definition at line 2325 of file gtest.h.

## StrDup()

char* testing::internal::posix::StrDup | ( | const char * | src | ) |

inline

Definition at line 2328 of file gtest.h.

## StrError()

const char* testing::internal::posix::StrError | ( | int | errnum | ) |

inline

Definition at line 2367 of file gtest.h.

## StrNCpy()

const char* testing::internal::posix::StrNCpy | ( | char * | dest,
|  | const char * | src,
|  | size_t | n
| ) |  |

inline

Definition at line 2338 of file gtest.h.

## Write()

int testing::internal::posix::Write | ( | int | fd,
|  | const void * | buf,
|  | unsigned int | count
| ) |  |

inline

Definition at line 2363 of file gtest.h.